Skip to main content
GET
/
projects
/
{project_reference}
/
workflows
List project workflows for a runtime target
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/workflows \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "target": "<string>",
      "source_path": "<string>",
      "version": "<string>",
      "input_schema": {},
      "output_schema": {},
      "schedulable": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

project_reference
string
required

Project ID or slug

Query Parameters

runtime_target_kind
enum<string>
Available options:
production,
environment,
preview_branch
target_environment_id
string<uuid> | null
target_branch_id
string<uuid> | null
source_target_kind
enum<string>
Available options:
project,
production,
environment,
preview_branch

Response

Discovered project workflows

data
object[]
required